<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5.1" />
  </startup>
  <appSettings>
    <add key="ServiceName" value="SQLServer.NextGenDatabase.AuditDataMigrator" />
    <add key="LogLevel" value="Default" />
    <add key="LogRetentionPeriodInDays" value="10" />
    <add key="LogMaxFileSizeInMb" value="-1" />
    <!--CAS data migration config-->
    <add key="BatchMaxRecordCount" value="30000" />
    <add key="DailyBatchStartTime" value="20" />
    <add key="DailyBatchStopTime" value="6" />
    <add key="SqlCommandTimeout" value="180" />
    <add key="EventLogBatchSize" value="30" />
    <add key="MigrationParquetFilePath" value="C:\Export\Migration\Parquet Files" />
    <add key="AuditRecordsPageSize" value="10000"/>
    <add key="WarningMaxRetryCount" value="5"/>
    <add key="RetryWaitTimeInMinute" value="1"/>
    <add key="ClientSettingsProvider.ServiceUri" value="" />
  </appSettings>
  <connectionStrings>
    <add name="NGAuditLogConnectionString" connectionString="Data Source=SQLServer;Initial Catalog=AuditDatabase;UID=sa;PWD=password" providerName="MSSQLServer" />
    <add name="Main" connectionString="Data Source=SQLServer;Initial Catalog=NextGenDatabase;UID=sa;PWD=password" providerName="MSSQLServer" />
  </connectionStrings>
  <system.web>
    <membership defaultProvider="ClientAuthenticationMembershipProvider">
      <providers>
        <add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" />
      </providers>
    </membership>
    <roleManager defaultProvider="ClientRoleProvider" enabled="true">
      <providers>
        <add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400" />
      </providers>
    </roleManager>
  </system.web>
</configuration>